Zonemaster::Engine::TestMethods(3pm)

NAME
Zonemaster::Engine::TestMethods - Methods common to Test Specification used in test modules

SYNOPSIS
    my @results = Zonemaster::Engine::TestMethods->method1($zone);

METHODS
For details on what these methods implement, see the test specification documents.

method1($zone)
    Returns either a Zonemaster::Engine::Zone or undef.

method2($zone)
    Returns an arrayref of Zonemaster::Engine::DNSName objects.

method3($zone)
    Returns an arrayref of Zonemaster::Engine::DNSName objects.

method4($zone)
    Returns something that behaves like an arrayref of Zonemaster::Engine::Nameserver objects.

method5($zone)
    Returns something that behaves like an arrayref of Zonemaster::Engine::Nameserver objects.

method2and3($zone)
    Returns the union of Zonemaster::Engine::DNSName objects returned by method2($zone) and method3($zone) in a arrayref. The elements are sorted according to their string representation.

method4and5($zone)
    Returns the union of Zonemaster::Engine::Nameserver objects returned by method4($zone) and method5($zone) in a arrayref. The elements are sorted according to their string representation.